Description: I want to use a SMTP server that requires authentication and SSL connection.

When I add a few lines into AMC-mailing.pl like following as a test, I can successfully send email via the SMTP 
server.

<pre>
  load Email::Sender::Transport::SMTP;
  $t=Email::Sender::Transport::SMTP
    ->new({'host'=>$smtp_host,
           'port'=>$smtp_port,
           'ssl'=>1,
           'sasl_username'=>'MyUsername',
           'sasl_password'=>'MyPassword',
           });
</pre>

We can simply add some GUI in the preferences dialog.  (It can have some trick to help typing port number by 
selecting SSL mode)

But the biggest issue is how passwords should be stored.  Currently, user preferences are stored in 
~/.AMC.d/cf.default.xml in plain text with read permission to any user.  I'm afraid it is not safe to store 
passwords.

History
10/01/2017 09:45 pm - Alexis Bienvenüe
- Status changed from New to Feedback

- Target version set to 1.4.0

From commit:a13ba91257a9, authenticated SMTP can be used: please test! The password is stored in a separate file that can be opened by the user 
only.

10/02/2017 12:32 pm - Hiroto Kagotani
Thank you very much.
Unfortunately, in my environment (Email::Sender 1.300011), I get

<pre>
isa check for "ssl" failed: ssl is not a Boolean! at (eval 72) line 250.
        eval {...} called at (eval 72) line 249
        Email::Sender::Transport::SMTP::new("Email::Sender::Transport::SMTP", HASH(0x809bc9ee8)) called at /usr/local/lib/AMC/perl/AMC-mailing.pl 
line 175

</pre>
in debug mode, and sending fails.  If I modify 

<pre>
  <email_smtp_ssl>ssl</email_smtp_ssl>
</pre>

to

<pre>
  <email_smtp_ssl>1</email_smtp_ssl>
</pre>

in cf.default.xml, AMC can successfully send email.

Thanks.

10/02/2017 01:21 pm - Alexis Bienvenüe
- Status changed from Feedback to In Progress

Oh yes, I was not aware of this version problem. It seems that STARTTLS/SSL "appeared only with 
1.300027":http://cpansearch.perl.org/src/RJBS/Email-Sender-1.300031/Changes… I'm going to adapt AMC accordingly.

10/02/2017 09:56 pm - Alexis Bienvenüe
This should be better with commit:36a9d0f6f29b.

10/04/2017 08:22 am - Hiroto Kagotani
Alexis Bienvenüe wrote:
> This should be better with commit:36a9d0f6f29b.

Thank you.
It works successfully.
Also I can get the warning message when I send with STARTTLS mode.

Thanks again.

10/04/2017 08:41 am - Alexis Bienvenüe
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Good. Thanks for your suggestion and testing.
